# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

%define uname   Vulkan-Tools

Name:           vulkan-tools
Version:        1.3.296.0
Release:        %mkrel 1
Summary:        Vulkan utilities and tools
Group:          Development/Tools
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Tools
Source0:        https://github.com/KhronosGroup/Vulkan-Tools/archive/vulkan-sdk-%{version}/%{uname}-sdk-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  glslang
BuildRequires:  vulkan-volk
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  python3-devel

%description
This project provides Khronos official Vulkan Tools and Utilities for
Windows, Linux, Android, and MacOS.

%prep
%autosetup -p1 -n %{uname}-vulkan-sdk-%{version}

%build
%cmake -GNinja \
       -DGLSLANG_INSTALL_DIR=%{_bindir}
%cmake_build

%install
%cmake_install

%files
%doc README.md CONTRIBUTING.md
%license LICENSE.txt
%{_bindir}/vkcube
%{_bindir}/vkcubepp
%{_bindir}/vkcube-wayland
%{_bindir}/vulkaninfo


%changelog
* Fri Nov 15 2024 daviddavid <daviddavid> 1.3.296.0-1.mga10
+ Revision: 2116037
- update to 1.3.296.0 SDK

* Tue Aug 20 2024 daviddavid <daviddavid> 1.3.290.0-2.mga10
+ Revision: 2087127
- rebuild for arm

* Tue Aug 20 2024 daviddavid <daviddavid> 1.3.290.0-1.mga10
+ Revision: 2087119
- update to 1.3.290.0 SDK

* Mon Nov 14 2022 akien <akien> 1.3.231.1-1.mga9
+ Revision: 1907219
- Vulkan SDK 1.3.231.1

* Wed Mar 30 2022 umeabot <umeabot> 1.3.204.1-2.mga9
+ Revision: 1835024
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 akien <akien> 1.3.204.1-1.mga9
+ Revision: 1789689
- Vulkan SDK 1.3.204.1
- Add notice about Vulkan SDK update instructions in vulkan-headers

* Wed Dec 30 2020 luigiwalser <luigiwalser> 1.2.162.0-1.mga8
+ Revision: 1666099
- 1.2.162.0

* Mon Oct 12 2020 akien <akien> 1.2.154.0-1.mga8
+ Revision: 1633979
- SDK 1.2.154.0

* Mon Feb 17 2020 akien <akien> 1.2.131.1-1.mga8
+ Revision: 1536930
- SDK 1.2.131.1

* Sat Feb 15 2020 umeabot <umeabot> 1.1.121.0-2.mga8
+ Revision: 1525524
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
+ akien <akien>
- SDK 1.1.121.0

* Thu Apr 18 2019 akien <akien> 1.1.106.0-1.mga7
+ Revision: 1393161
- SDK 1.1.106.0

* Tue Mar 26 2019 akien <akien> 1.1.101.0-1.mga7
+ Revision: 1380454
- SDK 1.1.101.0

* Mon Dec 10 2018 akien <akien> 1.1.92.0-1.mga7
+ Revision: 1340063
- Adapt to Mageia, simplify
- Version 1.1.92.0
- import vulkan-tools from Fedora Rawhide


* Tue Aug 07 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.82.0-1
- Update to 1.1.82.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.77.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 23 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.77.0-1
- Initial package
